> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Production Order Versions

> List version history for a production order.



## OpenAPI

````yaml /api/openapi-cutmake.json get /production-orders/{order_id}/versions
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /production-orders/{order_id}/versions:
    get:
      tags:
        - Production Orders
      summary: List Production Order Versions
      description: List version history for a production order.
      operationId: list_production_order_versions_production_orders__order_id__versions_get
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            title: Order Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductionOrderVersionResponse'
                title: >-
                  Response List Production Order Versions Production Orders 
                  Order Id  Versions Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ProductionOrderVersionResponse:
      properties:
        id:
          type: string
          title: Id
        productionOrderId:
          type: string
          title: Productionorderid
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        versionNumber:
          type: integer
          title: Versionnumber
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        productionType:
          anyOf:
            - type: string
            - type: 'null'
          title: Productiontype
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        orderQuantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Orderquantity
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        isFinal:
          type: boolean
          title: Isfinal
          default: false
        finalizedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedat
        finalizedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedbyid
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
        snapshot:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Snapshot
      type: object
      required:
        - id
        - productionOrderId
        - versionNumber
      title: ProductionOrderVersionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````